Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Textbereich

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente
              sum.komponenten.Markierungskomponente
                  sum.komponenten.Textbereich

All Implemented Interfaces:
  Serializable, ScrollPaneConstants

Direct Known Subclasses:
  Zeichenbereich, Zeilenbereich

    public abstract class Textbereich

extends Markierungskomponente
implements Serializable, ScrollPaneConstants

Ein Textbereich ist die Klasse fuer Java-TextAreas. Textbereiche sind Editoren mit einer festen Breite und Hoehe. Sie reagieren auf Texteingaben und Mausklicks. Wenn etwas in einen Textbereich getippt werden soll, muss es vorher mit einem Mausklick aktiviert werden, d.h. der Textbereich muss den Fokus haben. Es gib zwei Unterklassen von Textbereich: Zeichenbereich und Zeilenbereich. Der Textbereich ist zeichenorientiert, der Zeilenbereich ist zeilenorientiert. Der Textbereich ist abstrakt wird normalerweise nicht benutzt.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`protected JScrollPane` | `hatScrollPane`

Fields inherited from class sum.komponenten.Markierungskomponente
`zInhaltGeaendertBearbeiter, zMarkierungGeaendertBearbeiter`

Fields inherited from class sum.komponenten.Textkomponente
`zAktuellFont, zSchriftArt, zSchriftGroesse, zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Fields inherited from interface javax.swing.ScrollPaneConstants
`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

Constructor Summary
`Textbereich(double pLinks, double pOben, double pBreite, double pHoehe)` Der Textbereich wird erzeugt und enthaelt den uebergebenen Text.
`Textbereich(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe)` Der Textbereich wird erzeugt und enthaelt den uebergebenen Text.

Method Summary
`abstract void` | `fuegeEin(String pText, int pStelle)` Der Text pText wird an Position pStelle eingefuegt.
`abstract void` | `haengeAn(char pZeichen)` Das Zeichen pZeichen wird am Ende angehaengt.
`abstract void` | `haengeAn(double pZahl)` Das Kommazahl pZahl wird am Ende angehaengt.
`abstract void` | `haengeAn(int pZahl)` Das ganze Zahl pZahl wird am Ende angehaengt.
`abstract void` | `haengeAn(String pText)` Der Text pText wird am Ende angehaengt.
`protected void` | `lerneKomponenteKennen(Bildschirm pFenster, JComponent pKomponente)` Die Markierungskomponente kennt die eigentliche TextComponent aus der Java-Bibliothek.
`void` | `setzeGroesse(double pBreite, double pHoehe)` Die Komponente erhaelt eine neue Groesse.
`void` | `setzePosition(double pWohinH, double pWohinV)` Die Komponente erhaelt eine neue Position (Ecke oben links).

Methods inherited from class sum.komponenten.Markierungskomponente
`istMarkiert, loesche, loescheAlles, loescheMarkierung, markiereAlles, markiereNichts, markierterInhalt, markierungGeaendert, markierungsAnfang, markierungsEnde, setzeBearbeiterInhaltGeaendert, setzeBearbeiterMarkierungGeaendert, setzeMarkierung, teilinhalt, teilInhalt`

Methods inherited from class sum.komponenten.Textkomponente
`inhaltAlsGanzeZahl, inhaltAlsLangeGanzeZahl, inhaltAlsText, inhaltAlsZahl, inhaltIstGanzeZahl, inhaltIstLangeGanzeZahl, inhaltIstText, inhaltIstZahl, init, schriftfarbe, schriftFarbe, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeSchriftart, setzeSchriftArt, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftgroesse, setzeSchriftGroesse, setzeSchriftstil, setzeSchriftStil`

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeHinweis, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hatScrollPane

    protected JScrollPane hatScrollPane

Constructor Detail

### Textbereich

    public Textbereich(double pLinks,
                       double pOben,
                       double pBreite,
                       double pHoehe)

  Der Textbereich wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Der Textbereich befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente

### Textbereich

    public Textbereich(Fenster pFenster,
                       double pLinks,
                       double pOben,
                       double pBreite,
                       double pHoehe)

  Der Textbereich wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Der Textbereich befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente

Method Detail

### fuegeEin

    public abstract void fuegeEin(String pText,
                                  int pStelle)

  Der Text pText wird an Position pStelle eingefuegt.

  Specified by:
    `fuegeEin` in class `Markierungskomponente`
  Parameters:
    `pText` - der Text, der eingefuegt wird
    `pStelle` - die Stelle, wo der Text eingefuegt wird

### haengeAn

    public abstract void haengeAn(char pZeichen)

  Das Zeichen pZeichen wird am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Markierungskomponente`
  Parameters:
    `pZeichen` - das Zeichen, das ans Ende angehaengt wird

### haengeAn

    public abstract void haengeAn(double pZahl)

  Das Kommazahl pZahl wird am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Markierungskomponente`
  Parameters:
    `pZahl` - die Zahl, die ans Ende angehaengt wird

### haengeAn

    public abstract void haengeAn(int pZahl)

  Das ganze Zahl pZahl wird am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Markierungskomponente`
  Parameters:
    `pZahl` - die Zahl, die ans Ende angehaengt wird

### haengeAn

    public abstract void haengeAn(String pText)

  Der Text pText wird am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Markierungskomponente`
  Parameters:
    `pText` - der Text, der ans Ende angehaengt wird

### lerneKomponenteKennen

    protected void lerneKomponenteKennen(Bildschirm pFenster,
                                         JComponent pKomponente)

  Die Markierungskomponente kennt die eigentliche TextComponent aus der Java-Bibliothek.

  Overrides:
    `lerneKomponenteKennen` in class `Komponente`

### setzeGroesse

    public void setzeGroesse(double pBreite,
                             double pHoehe)

  Die Komponente erhaelt eine neue Groesse.

  Overrides:
    `setzeGroesse` in class `Komponente`
  Parameters:
    `pBreite` - die neue Breite der Komponente
    `pHoehe` - die neue Hoehe der Komponente

### setzePosition

    public void setzePosition(double pWohinH,
                              double pWohinV)

  Die Komponente erhaelt eine neue Position (Ecke oben links).

  Overrides:
    `setzePosition` in class `Komponente`
  Parameters:
    `pWohinH` - die neue horizontale Position der linken oberen Ecke
    `pWohinV` - die neue vertikale Position der linken oberen Ecke

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD